<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package MISSION
 * @since MISSION 1.0.50
 */

$mission_template_args = get_query_var( 'mission_template_args' );
if ( is_array( $mission_template_args ) ) {
	$mission_columns    = empty( $mission_template_args['columns'] ) ? 2 : max( 1, $mission_template_args['columns'] );
	$mission_blog_style = array( $mission_template_args['type'], $mission_columns );
} else {
	$mission_template_args = array();
	$mission_blog_style = explode( '_', mission_get_theme_option( 'blog_style' ) );
	$mission_columns    = empty( $mission_blog_style[1] ) ? 2 : max( 1, $mission_blog_style[1] );
}
$mission_blog_id       = mission_get_custom_blog_id( join( '_', $mission_blog_style ) );
$mission_blog_style[0] = str_replace( 'blog-custom-', '', $mission_blog_style[0] );
$mission_expanded      = ! mission_sidebar_present() && mission_get_theme_option( 'expand_content' ) == 'expand';
$mission_components    = ! empty( $mission_template_args['meta_parts'] )
							? ( is_array( $mission_template_args['meta_parts'] )
								? join( ',', $mission_template_args['meta_parts'] )
								: $mission_template_args['meta_parts']
								)
							: mission_array_get_keys_by_value( mission_get_theme_option( 'meta_parts' ) );
$mission_post_format   = get_post_format();
$mission_post_format   = empty( $mission_post_format ) ? 'standard' : str_replace( 'post-format-', '', $mission_post_format );

$mission_blog_meta     = mission_get_custom_layout_meta( $mission_blog_id );
$mission_custom_style  = ! empty( $mission_blog_meta['scripts_required'] ) ? $mission_blog_meta['scripts_required'] : 'none';

if ( ! empty( $mission_template_args['slider'] ) || $mission_columns > 1 || ! mission_is_off( $mission_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $mission_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( mission_is_off( $mission_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $mission_custom_style ) ) . "-1_{$mission_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $mission_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $mission_columns )
					. ' post_layout_' . esc_attr( $mission_blog_style[0] )
					. ' post_layout_' . esc_attr( $mission_blog_style[0] ) . '_' . esc_attr( $mission_columns )
					. ( ! mission_is_off( $mission_custom_style )
						? ' post_layout_' . esc_attr( $mission_custom_style )
							. ' post_layout_' . esc_attr( $mission_custom_style ) . '_' . esc_attr( $mission_columns )
						: ''
						)
		);
	mission_add_blog_animation( $mission_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'mission_action_show_layout', $mission_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $mission_template_args['slider'] ) || $mission_columns > 1 || ! mission_is_off( $mission_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
