<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package MISSION
 * @since MISSION 1.0
 */

$mission_template_args = get_query_var( 'mission_template_args' );
if ( is_array( $mission_template_args ) ) {
	$mission_columns    = empty( $mission_template_args['columns'] ) ? 2 : max( 1, $mission_template_args['columns'] );
	$mission_blog_style = array( $mission_template_args['type'], $mission_columns );
    $mission_columns_class = mission_get_column_class( 1, $mission_columns, ! empty( $mission_template_args['columns_tablet']) ? $mission_template_args['columns_tablet'] : '', ! empty($mission_template_args['columns_mobile']) ? $mission_template_args['columns_mobile'] : '' );
} else {
	$mission_template_args = array();
	$mission_blog_style = explode( '_', mission_get_theme_option( 'blog_style' ) );
	$mission_columns    = empty( $mission_blog_style[1] ) ? 2 : max( 1, $mission_blog_style[1] );
    $mission_columns_class = mission_get_column_class( 1, $mission_columns );
}

$mission_post_format = get_post_format();
$mission_post_format = empty( $mission_post_format ) ? 'standard' : str_replace( 'post-format-', '', $mission_post_format );

?><div class="
<?php
if ( ! empty( $mission_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( mission_is_blog_style_use_masonry( $mission_blog_style[0] ) ? 'masonry_item masonry_item-1_' . esc_attr( $mission_columns ) : esc_attr( $mission_columns_class ));
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $mission_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $mission_columns )
		. ( 'portfolio' != $mission_blog_style[0] ? ' ' . esc_attr( $mission_blog_style[0] )  . '_' . esc_attr( $mission_columns ) : '' )
	);
	mission_add_blog_animation( $mission_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$mission_hover   = ! empty( $mission_template_args['hover'] ) && ! mission_is_inherit( $mission_template_args['hover'] )
								? $mission_template_args['hover']
								: mission_get_theme_option( 'image_hover' );

	if ( 'dots' == $mission_hover ) {
		$mission_post_link = empty( $mission_template_args['no_links'] )
								? ( ! empty( $mission_template_args['link'] )
									? $mission_template_args['link']
									: get_permalink()
									)
								: '';
		$mission_target    = ! empty( $mission_post_link ) && false === strpos( $mission_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';
	}
	
	// Meta parts
	$mission_components = ! empty( $mission_template_args['meta_parts'] )
							? ( is_array( $mission_template_args['meta_parts'] )
								? $mission_template_args['meta_parts']
								: explode( ',', $mission_template_args['meta_parts'] )
								)
							: mission_array_get_keys_by_value( mission_get_theme_option( 'meta_parts' ) );

	// Featured image
	mission_show_post_featured( apply_filters( 'mission_filter_args_featured',
        array(
			'hover'         => $mission_hover,
			'no_links'      => ! empty( $mission_template_args['no_links'] ),
			'thumb_size'    => ! empty( $mission_template_args['thumb_size'] )
								? $mission_template_args['thumb_size']
								: mission_get_thumb_size(
									mission_is_blog_style_use_masonry( $mission_blog_style[0] )
										? (	strpos( mission_get_theme_option( 'body_style' ), 'full' ) !== false || $mission_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( mission_get_theme_option( 'body_style' ), 'full' ) !== false || $mission_columns < 3
											? 'square'
											: 'square'
											)
								),
			'thumb_bg' => mission_is_blog_style_use_masonry( $mission_blog_style[0] ) ? false : true,
			'show_no_image' => true,
			'meta_parts'    => $mission_components,
			'class'         => 'dots' == $mission_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $mission_hover
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $mission_post_link )
												? '<a href="' . esc_url( $mission_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() ) 
											. ( ! empty( $mission_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
            'thumb_ratio'   => 'info' == $mission_hover ?  '100:102' : '',
        ),
        'content-portfolio',
        $mission_template_args
    ) );
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!