<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package MISSION
 * @since MISSION 1.0.10
 */

// Footer sidebar
$mission_footer_name    = mission_get_theme_option( 'footer_widgets' );
$mission_footer_present = ! mission_is_off( $mission_footer_name ) && is_active_sidebar( $mission_footer_name );
if ( $mission_footer_present ) {
	mission_storage_set( 'current_sidebar', 'footer' );
	$mission_footer_wide = mission_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $mission_footer_name ) ) {
		dynamic_sidebar( $mission_footer_name );
	}
	$mission_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $mission_out ) ) {
		$mission_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $mission_out );
		$mission_need_columns = true;   //or check: strpos($mission_out, 'columns_wrap')===false;
		if ( $mission_need_columns ) {
			$mission_columns = max( 0, (int) mission_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $mission_columns ) {
				$mission_columns = min( 4, max( 1, mission_tags_count( $mission_out, 'aside' ) ) );
			}
			if ( $mission_columns > 1 ) {
				$mission_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $mission_columns ) . ' widget', $mission_out );
			} else {
				$mission_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $mission_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<?php do_action( 'mission_action_before_sidebar_wrap', 'footer' ); ?>
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $mission_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $mission_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'mission_action_before_sidebar', 'footer' );
				mission_show_layout( $mission_out );
				do_action( 'mission_action_after_sidebar', 'footer' );
				if ( $mission_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $mission_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
			<?php do_action( 'mission_action_after_sidebar_wrap', 'footer' ); ?>
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
