<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package MISSION
 * @since MISSION 1.0.06
 */

$mission_header_css   = '';
$mission_header_image = get_header_image();
$mission_header_video = mission_get_header_video();
if ( ! empty( $mission_header_image ) && mission_trx_addons_featured_image_override( is_singular() || mission_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$mission_header_image = mission_get_current_mode_image( $mission_header_image );
}

$mission_header_id = mission_get_custom_header_id();
$mission_header_meta = get_post_meta( $mission_header_id, 'trx_addons_options', true );
if ( ! empty( $mission_header_meta['margin'] ) ) {
	mission_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( mission_prepare_css_value( $mission_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $mission_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $mission_header_id ) ) ); ?>
				<?php
				echo ! empty( $mission_header_image ) || ! empty( $mission_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $mission_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $mission_header_image ) {
					echo ' ' . esc_attr( mission_add_inline_css_class( 'background-image: url(' . esc_url( $mission_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( mission_is_on( mission_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight mission-full-height';
				}
				$mission_header_scheme = mission_get_theme_option( 'header_scheme' );
				if ( ! empty( $mission_header_scheme ) && ! mission_is_inherit( $mission_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $mission_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $mission_header_video ) ) {
		get_template_part( apply_filters( 'mission_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'mission_action_show_layout', $mission_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'mission_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
