<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package MISSION
 * @since MISSION 1.0
 */

$mission_args = get_query_var( 'mission_logo_args' );

// Site logo
$mission_logo_type   = isset( $mission_args['type'] ) ? $mission_args['type'] : '';
$mission_logo_image  = mission_get_logo_image( $mission_logo_type );
$mission_logo_text   = mission_is_on( mission_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$mission_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $mission_logo_image['logo'] ) || ! empty( $mission_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $mission_logo_image['logo'] ) ) {
			if ( empty( $mission_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric($mission_logo_image['logo']) && (int) $mission_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$mission_attr = mission_getimagesize( $mission_logo_image['logo'] );
				echo '<img src="' . esc_url( $mission_logo_image['logo'] ) . '"'
						. ( ! empty( $mission_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $mission_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $mission_logo_text ) . '"'
						. ( ! empty( $mission_attr[3] ) ? ' ' . wp_kses_data( $mission_attr[3] ) : '' )
						. '>';
			}
		} else {
			mission_show_layout( mission_prepare_macros( $mission_logo_text ), '<span class="logo_text">', '</span>' );
			mission_show_layout( mission_prepare_macros( $mission_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
