<?php
/**
 * The template to display the widgets area in the header
 *
 * @package MISSION
 * @since MISSION 1.0
 */

// Header sidebar
$mission_header_name    = mission_get_theme_option( 'header_widgets' );
$mission_header_present = ! mission_is_off( $mission_header_name ) && is_active_sidebar( $mission_header_name );
if ( $mission_header_present ) {
	mission_storage_set( 'current_sidebar', 'header' );
	$mission_header_wide = mission_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $mission_header_name ) ) {
		dynamic_sidebar( $mission_header_name );
	}
	$mission_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $mission_widgets_output ) ) {
		$mission_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $mission_widgets_output );
		$mission_need_columns   = strpos( $mission_widgets_output, 'columns_wrap' ) === false;
		if ( $mission_need_columns ) {
			$mission_columns = max( 0, (int) mission_get_theme_option( 'header_columns' ) );
			if ( 0 == $mission_columns ) {
				$mission_columns = min( 6, max( 1, mission_tags_count( $mission_widgets_output, 'aside' ) ) );
			}
			if ( $mission_columns > 1 ) {
				$mission_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $mission_columns ) . ' widget', $mission_widgets_output );
			} else {
				$mission_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $mission_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<?php do_action( 'mission_action_before_sidebar_wrap', 'header' ); ?>
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $mission_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $mission_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'mission_action_before_sidebar', 'header' );
				mission_show_layout( $mission_widgets_output );
				do_action( 'mission_action_after_sidebar', 'header' );
				if ( $mission_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $mission_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
			<?php do_action( 'mission_action_after_sidebar_wrap', 'header' ); ?>
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
