<?php
/**
 * The template to display Admin notices
 *
 * @package MISSION
 * @since MISSION 1.0.64
 */

$mission_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$mission_skins_args = get_query_var( 'mission_skins_notice_args' );
?>
<div class="mission_admin_notice mission_skins_notice notice notice-info is-dismissible" data-notice="skins">
	<?php
	// Theme image
	$mission_theme_img = mission_get_file_url( 'screenshot.jpg' );
	if ( '' != $mission_theme_img ) {
		?>
		<div class="mission_notice_image"><img src="<?php echo esc_url( $mission_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'mission' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="mission_notice_title">
		<?php esc_html_e( 'New skins are available', 'mission' ); ?>
	</h3>
	<?php

	// Description
	$mission_total      = $mission_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$mission_skins_msg  = $mission_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $mission_total, 'mission' ), $mission_total ) . '</strong>'
							: '';
	$mission_total      = $mission_skins_args['free'];
	$mission_skins_msg .= $mission_total > 0
							? ( ! empty( $mission_skins_msg ) ? ' ' . esc_html__( 'and', 'mission' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $mission_total, 'mission' ), $mission_total ) . '</strong>'
							: '';
	$mission_total      = $mission_skins_args['pay'];
	$mission_skins_msg .= $mission_skins_args['pay'] > 0
							? ( ! empty( $mission_skins_msg ) ? ' ' . esc_html__( 'and', 'mission' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $mission_total, 'mission' ), $mission_total ) . '</strong>'
							: '';
	?>
	<div class="mission_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'mission' ), $mission_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="mission_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $mission_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'mission' );
			?>
		</a>
	</div>
</div>
